Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154202 - wrong duplicate labels detection
Summary: wrong duplicate labels detection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 156320 156322
TreeView+ depends on / blocked
 
Reported: 2005-04-08 11:57 UTC by Karel Zak
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-669
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 16:52:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:626 qe-ready SHIPPED_LIVE util-linux and mount bug fix update 2005-09-28 04:00:00 UTC
Red Hat Product Errata RHBA-2005:669 qe-ready SHIPPED_LIVE util-linux bug fix update 2005-10-05 04:00:00 UTC

Description Karel Zak 2005-04-08 11:57:53 UTC
The code for duplicate labels detection in the mount command ignore last
partition in system. It's fixed in distributions >=FC4.

# cat /proc/partitions
major minor  #blocks  name
   3     0   58615704 hda
   3     1   10241406 hda1
   3     2          1 hda2
   3     5   10241406 hda5
   3     6     409626 hda6
   3     7   10241406 hda7
   3     8   27471118 hda8
   3    64   40209120 hdb
   3    65   40194598 hdb1
                     ^^^^^^

#e2label /dev/hda7
store
# e2label /dev/hdb1
store

>=FC4:
  # mount LABEL=store
  mount: error: the label store occurs on both /dev/hda7 and /dev/hdb1

<=RHEL4
  # mount LABEL=store
  # grep hda7 /proc/mounts
  /dev/hda7 /home/store ext3 rw 0 0

Comment 9 Red Hat Bugzilla 2005-09-28 15:53:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-626.html


Comment 10 Red Hat Bugzilla 2005-10-05 16:52:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-669.html



Note You need to log in before you can comment on or make changes to this bug.